libcdr::CDRGradient Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRGradient ()

## Public Attributes

unsigned char | m_type
unsigned char | m_mode
double | m_angle
double | m_midPoint
int | m_edgeOffset
int | m_centerXOffset
int | m_centerYOffset
std::vector< CDRGradientStop > | m_stops

## Constructor & Destructor Documentation

## CDRGradient()

libcdr::CDRGradient::CDRGradient | ( |  | ) |

inline

## Member Data Documentation

## m_angle

double libcdr::CDRGradient::m_angle

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), and libcdr::CDRParser::readWaldoFill().

## m_centerXOffset

int libcdr::CDRGradient::m_centerXOffset

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), and libcdr::CDRParser::readWaldoFill().

## m_centerYOffset

int libcdr::CDRGradient::m_centerYOffset

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), and libcdr::CDRParser::readWaldoFill().

## m_edgeOffset

int libcdr::CDRGradient::m_edgeOffset

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), and libcdr::CDRParser::readWaldoFill().

## m_midPoint

double libcdr::CDRGradient::m_midPoint

Referenced by CDRGradient(), and libcdr::CDRParser::readFild().

## m_mode

unsigned char libcdr::CDRGradient::m_mode

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), and libcdr::CMXParser::readFill().

## m_stops

std::vector<CDRGradientStop> libcdr::CDRGradient::m_stops

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), and libcdr::CDRParser::readWaldoFill().

## m_type

unsigned char libcdr::CDRGradient::m_type

Referenced by CDRGradient(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), and libcdr::CDRParser::readWaldoFill().

The documentation for this struct was generated from the following file:

- CDRTypes.h